<?php
// Conexão com o banco de dados (substitua pelos seus próprios dados)

$servername = "149.56.34.221";
$username = "cegosa24h";
$password = "hospital@1234!";
$database = "cegosa24h";

// Conectar ao banco de dados
$conn = new mysqli($servername, $username, $password, $database);

// Verificar a conexão
if ($conn->connect_error) {
    die("Falha na conexão com o banco de dados: " . $conn->connect_error);
}

// Inicializar variáveis
$tables = array('speedtest_adm', 'speedtest_cpd', 'speedtest_cobranca', 'speedtest_imagem', 'speedtest_recepcao_terreo', 'speedtest_sala19', 'speedtest_cirurgia', 'speedtest_internacao');
$tableName = isset($_GET['table']) && in_array($_GET['table'], $tables) ? $_GET['table'] : 'speedtest_adm';

// Consulta SQL
$sql = "SELECT * FROM $tableName";
$result = $conn->query($sql);

// Exibir dropdown para escolher a tabela
echo "<form method='get' action=''>";
echo "<label for='table'>Escolha a tabela: </label>";
echo "<select name='table' id='table'>";
foreach ($tables as $table) {
    echo "<option value='$table' " . ($table == $tableName ? 'selected' : '') . ">$table</option>";
}
echo "</select>";
echo "<input type='submit' value='Selecionar'>";
echo "</form>";

// Exibir tabela
if ($result->num_rows > 0) {
    echo "<table border='1'><tr>";
    // Exibir cabeçalhos
    while ($fieldinfo = $result->fetch_field()) {
        echo "<th>" . $fieldinfo->name . "</th>";
    }
    echo "</tr>";

    // Exibir dados
    while ($row = $result->fetch_assoc()) {
        echo "<tr>";
        foreach ($row as $value) {
            echo "<td>" . $value . "</td>";
        }
        echo "</tr>";
    }

    echo "</table>";
} else {
    echo "Nenhum resultado encontrado.";
}

// Fechar a conexão
$conn->close();
?>